System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

For background information about HTTP headers and controlling caching, see RFC 2616: Hypertext Transfer Protocol -- HTTP/1.1, available on the World Wide Web Consortium (W3C) Web site.

Contains methods for setting cache-specific HTTP headers and for controlling the ASP.NET page output cache.

- Method
  System.Void `` ``

  The method provides a mechanism to check the response programmatically in the cache before the response is returned to the client by the output cache.

  Before the response is served from the Web server cache, all registered handlers are queried to ensure resource validity. If any handler sets a flag indicating that the cached response is not valid, the entry is marked as not valid and expelled from the cache. In this case, as well as when any handler indicates that the cached response should be ignored for this request, the request is then handled as if it were a cache miss.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Registers a validation callback for the current response.

  The value. The arbitrary user-supplied data that is passed back to the delegate. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  If the browser does not recognize cache control directives or extensions, the browser must ignore the unrecognized terms. For more information, see RFC 2616: Hypertext Transfer Protocol -- HTTP/1.1, available on the World Wide Web Consortium (W3C) Web site.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Appends the specified text to the Cache-Control HTTP header.

  The text to append to the Cache-Control header. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  When is set to or the Expires HTTP header is by default set to -1; this tells the client not to cache responses in the History folder, so that when you use the back/forward buttons the client requests a new version of the response each time. You can override this behavior by calling the method with the parameter set to true.

  If is set to values other than or , calling the method with either value for has no effect.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Makes the response is available in the client browser History cache, regardless of the setting made on the server, when the parameter is true.

  true to direct the client browser to store responses in the History folder; otherwise false. The default is false. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Sets the Cache-Control header to one of the values of .

  An enumeration value. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The field name extension is valid only when used with the private or no-cache directives. For more information, see RFC 2616: Hypertext Transfer Protocol -- HTTP/1.1, available on the World Wide Web Consortium (W3C) Web site.

  This method will throw an invalid argument exception if incompatible directives and extensions are combined.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Sets the Cache-Control header to one of the values of and appends an extension to the directive.

  The enumeration value to set the header to. The cache control extension to add to the header. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The ETag header is a unique identifier for a specific version of a document. It is used by clients to validate client-cached content to avoid requesting it again. Once an ETag header is set, subsequent attempts to set it fail and an exception is thrown.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Sets the ETag HTTP header to the specified string.

  The text to use for the ETag header. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  The method sets the ETag header by retrieving the last modified time stamps of all files on which the handler is dependent, combining all file names and time stamps into a single string, then hashing that string into a single digest that is used as the ETag.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Sets the ETag HTTP header based on the time stamps of the handler's file dependencies.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method will fail if the expiration date violates the principle of restrictiveness.

  Sets the Expires HTTP header to an absolute date and time.

  The absolute value to set the Expires header to. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The Last-Modified HTTP header time stamps the document with the DateTime value indicating when the document was last modified.

  This method will fail if the caching restrictiveness hierarchy is violated.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Sets the Last-Modified HTTP header to the value supplied.

  The new value for the Last-Modified header. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Sets the Last-Modified HTTP header based on the time stamps of the handler's file dependencies.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` a

  Max-age is the maximum absolute time a document is allowed to exist before being considered stale.

  The method does not use sliding expiration and will fail if the expiration date violates the principle of restrictiveness.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  If the method is called repeatedly, on the second and subsequent calls, the value of the maximum age can only be decreased.

  Sets the Cache-Control: max-age HTTP header based on the specified time span.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Explicitly denies caching of the document on the origin-server. Once set, all requests for the document are fully processed. When this method is invoked, caching cannot be re-enabled for the current response.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Stops all origin-server caching for the current response.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Sets the Cache-Control: no-store HTTP header.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  The Cache-Control: no-transform HTTP header instructs network caching applications not to modify the document.

  The Cache-Control: no-transform HTTP header prevents downstream proxy servers from changing any header values specified by the Content-Encoding, Content-Range, or Content-Type headers (this includes the entity body). For example, it prevents proxies from converting GIF images to PNG.

  As with other restrictions on caching, once is called, the Cache-Control: no-transform HTTP header cannot be disabled through the interface.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Sets the Cache-Control: no-transform HTTP header.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  This method allows you to prevent the output ached from adding a vary:* header to the outgoing response when the cached response varies by parameter. This is useful for clients varying caching by query string because most clients will automatically vary by query string without requiring the vary:* header.

  The use of the vary:* header can disable all client caching.

  This is a convenience method to affect the property. Passing true to the method directs the to ignore the * value for the property.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Specifies whether the response should contain the vary:* header when varying by parameters.

  true to direct the to not use the * value for its property; otherwise, false.
- Method
  System.Void ``

  The method does not use sliding expiration and will fail if the expiration date violates the principle of restrictiveness.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Sets the Cache-Control: s-maxage HTTP header based on the specified time span.

  The time span used to set the Cache-Control: s-maxage header. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The default, which is equivalent to , is to send neither directive in a header unless explicitly specified by this method.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Sets the Cache-Control HTTP header to either the must-revalidate or the proxy-revalidate directives based on the supplied enumeration value.

  The enumeration value to set the Cache-Control header to. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  When cache expiration is set to sliding, the Cache-Control HTTP header will be renewed with each response. This expiration mode is identical to the IIS configuration option to add an expiration header to all output set relative to the current time.

  If you explicitly set sliding expiration to off (false), that setting will be preserved and any attempts to enable sliding expiration will silently fail. This method does not directly map to an HTTP header. It is used by subsequent modules or worker requests to set origin-server cache policy.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Sets cache expiration to from absolute to sliding.

  true or false. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method is set to true automatically when the high-level <%@ OutputCache … %> page directive is used.

  This method is provided because some browsers, when refreshing a page view, send HTTP cache invalidation headers to the Web server and evict the page from the cache. When the parameter is true, ASP.NET ignores cache invalidation headers and the page remains in the cache until it expires.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Specifies whether the ASP.NET cache should ignore HTTP Cache-Control headers sent by the client that invalidate the cache.

  true if the cache ignores Cache-Control invalidation headers; otherwise, false. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Specifies a custom text string to vary cached output responses by.

  The text string to vary cached output by. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Web.HttpCacheVaryByContentEncodings To be added.

  The property returns a list of Content-Encoding headers that represent compression schemes to vary the output cache by. Caching dynamically compressed responses means that the cost of compression is incurred only one time, during the first request for the resource.

  The property is used with the Accept-Encoding header of a request to determine how to serve cached responses for different content encodings that are dynamically compressed. The Accept-Encoding header lists the encodings that the client can decompress.

  When you set the cache to vary by content encoding, it lets the response vary indirectly by the value in the Accept-Encoding header. When a request is processed, the Accept-Encoding header is checked and the first acceptable encoding is identified and used to take one of the following actions:

  If a matching encoding is found in the list and a cached response exists, the cached response is sent.

  If a matching encoding is found in the list but a cached response does not exist, a response is generated and inserted into the cache.

  If a matching encoding is not found in the list, the cache is searched for a non-encoded response, also referred to as the identity response. If the non-encoded response is found, it is sent. Otherwise, a new non-encoded response is generated, sent, and stored in the cache.

  For more information about the property, see "RFC 2616: Hypertext Transfer Protocol -- HTTP/1.1," which is available on the World Wide Web Consortium (W3C) Web site. Information about content encodings is in section 14, "Header Field Definitions."

  You can set the property by using the VaryByContentEncodings attribute of the @ OutputCache directive. You can also add a cache profile to the outputCacheProfile element in the Web.config file.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Gets the list of Content-Encoding headers that will be used to vary the output cache.

- Property
  System.Web.HttpCacheVaryByHeaders To be added: an object of type 'HttpCacheVaryByHeaders'

  When a cached item has several vary headers, a separate version of the requested document is available from the cache for each HTTP header type.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Gets the list of all HTTP headers that will be used to vary cache output.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.HttpCacheVaryByParams To be added: an object of type 'HttpCacheVaryByParams'

  A separate version of the requested document is available from the cache for each named parameter in the collection.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Gets the list of parameters received by an HTTP GET or HTTP POST that affect caching.

  1.0.5000.0
  2.0.0.0